CREATE TABLE cz_ui_applic_languages (
    UI_APPLIC_REC_ID         NUMBER(18, 0),
    UI_ID                    NUMBER(18, 0)    NOT NULL,
    LANGUAGE_CODE            VARCHAR2(16)     NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    START_MODEL_VERSION      NUMBER(18, 0),
    END_MODEL_VERSION        NUMBER(18, 0),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    UI_APPLIC_REC_ID         NUMBER(18, 0),
    UI_ID                    NUMBER(18, 0)    NOT NULL,
    LANGUAGE_CODE            VARCHAR2(16)     NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    START_MODEL_VERSION      NUMBER(18, 0),
    END_MODEL_VERSION        NUMBER(18, 0),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cz_ui_applic_languages PRIMARY KEY (UI_APPLIC_REC_ID, START_MODEL_VERSION, UI_APPLIC_REC_ID, START_MODEL_VERSION)
);
